### Function

# Vips ArgumentClassMapFn

#### Declaration

    void*
    (* VipsArgumentClassMapFn) (
      VipsObjectClass* object_class,
      GParamSpec* pspec,
      VipsArgumentClass* argument_class,
      void* a,
      void* b
    )

#### Description

No description available.

#### Parameters

`object_class`

  Type: `VipsObjectClass`

  No description available.

  The data is owned by the caller of the function.

`pspec`

  Type: `GParamSpec`

  No description available.

  The data is owned by the caller of the function.

`argument_class`

  Type: `VipsArgumentClass`

  No description available.

  The data is owned by the caller of the function.

`a`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`b`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `void*`

No description available.

The data is owned by the called function.
The return value can be `NULL`.